Bug 734547 - Please set StandardOutput=null in rsyslog.service
Summary: Please set StandardOutput=null in rsyslog.service
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rsyslog
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Heinrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 18:03 UTC by Lennart Poettering
Modified: 2016-09-20 04:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-06 09:03:49 UTC


Attachments (Terms of Use)

Description Lennart Poettering 2011-08-30 18:03:01 UTC
Upstream has been including this patch for a while:

http://git.adiscon.com/?p=rsyslog.git;a=commitdiff;h=6e222ec9ef8a4575d7113fed957dd79191b8e61b

It would be great to get this into F16 as well. This will ensure that stdout/stderr is always directed to /dev/null for rsyslog. This is useful so that we can globally change the default of stdout/stderr to syslog for all other services, and we want to avoid that by doing this rsyslog would be looping back its output to itself.

It would be really great if we could get this minimal patch into F16 still.

Comment 1 Lennart Poettering 2011-08-30 20:31:41 UTC
Also see:

http://www.freedesktop.org/wiki/Software/systemd/syslog

Comment 2 Lennart Poettering 2011-08-30 21:07:30 UTC
I have now made the upstream change so that stdout/stderr of all services is by default connected to syslog (and I plan to upload this to F16 shortly). Machines still boot fine even without the fix requested here, but the issue should still be fixed in F16 please!

Comment 3 Fedora Update System 2011-09-07 09:07:02 UTC
rsyslog-5.8.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rsyslog-5.8.5-1.fc16

Comment 4 Fedora Update System 2011-09-13 06:08:57 UTC
rsyslog-5.8.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.